org.keycloak.dom.saml.common

## Class CommonActionType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonActionType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ActionType, SAML11ActionType

      public class CommonActionType
      extends Object
      implements Serializable

  SAML Action Type
  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `namespace`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonActionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNamespace()` Gets the value of the namespace property.
    `String` | `getValue()`
    `void` | `setNamespace(String value)` Sets the value of the namespace property.
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### namespace

          protected String namespace

    - #### value

          protected String value

  - ### Constructor Detail

    - #### CommonActionType

          public CommonActionType()

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

      Gets the value of the namespace property.
      Returns:
        possible object is `String`

    - #### setNamespace

          public void setNamespace(String value)

      Sets the value of the namespace property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

Copyright © 2020 JBoss by Red Hat. All rights reserved.